package com.oo.eye.mvp.contract;

import android.content.Context;

import com.app.baselibrary.base.mvp.BasePresenter;
import com.app.baselibrary.base.mvp.BaseView;
import com.oo.eye.bean.EyeHistroyBean;
import com.oo.seex.netlibrary.net.response.Page;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by xucon on 2017/12/26.
 */

public interface EyeHistroyContract {
	interface View extends BaseView<Presenter> {
		public void getEyeHistroyDBSuccee(List<EyeHistroyBean> beans, int page, int count);
		public void getEyeHistroyNetSuccee(ArrayList<EyeHistroyBean> beans, Page page);
		public void getEyeHistroyFail(String msg);
	}

	interface Presenter extends BasePresenter {
		public void getEyeHistroy(Context context, boolean isNet, int page, int limit);
	}
}
